axis-java-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Davanum Srinivas <d...@yahoo.com>
Subject Re: beta 3 - JDK 1.3? 1.4?
Date Wed, 19 Jun 2002 22:03:36 GMT
Steve, Vidyanand,

There were two specific problems with JDK1.4 which caused the "ant all-tests" to fail. 
1. JDK14 Exception's new getStackTrace/setStackTrace caused a failure in the code generated
by our
tools.
2. Multithread test failed under some conditions.

See http://nagoya.apache.org/bugzilla/show_bug.cgi?id=8631 for the original bug. All known
problems under jdk1.4 have been fixed in latest cvs.

Thanks,
dims

--- Steve Loughran <steve_l@iseran.com> wrote:
> Axis works well in 1.4, as far as anyone knows, and compiles there too.
> 
> The issue is should the distribution builds be built on 1.4, and consensus
> was 'stick to 1.3' for distribution. This does not mean that you are stuck
> with 1.3 for running it, just that we know there are no 1.4 funnies in
> there.
> 
> -steve
> 
> ----- Original Message -----
> From: "Vidyanand Murunikkara" <Vidyanand@infravio.com>
> To: <axis-dev@xml.apache.org>
> Sent: Wednesday, June 19, 2002 1:07 PM
> Subject: RE: beta 3 - JDK 1.3? 1.4?
> 
> 
> Hi
> 
> I am a bit confused on this issues. Is there some thing in Axis that is
> bound to fail in JDK 1.4 ? I am confused coz I have  been using Axis
> with JDK1.4 all this while and i have never encountered any problem so
> far. I have tried beta 2 and it seems to work fine with JDK 1.4.
> 
> Vidyanand.
> 
> -----Original Message-----
> From: Dimmick, Bill [mailto:bdimmick@hiddenmind.com]
> Sent: Wednesday, June 19, 2002 11:21 AM
> To: 'axis-dev@xml.apache.org'
> Subject: RE: beta 3 - JDK 1.3? 1.4?
> 
> 
> While I don't disagree with the +1, I have Axis running fine on JDK1.4
> for a couple of weeks now (in Tomcat 4.0.3 for 1.4 nonetheless), and I
> haven't seen many major issues crop up from Beta 2 (granted I haven't
> tried to do a build since late Beta 1...)
> 
> Bill
> 
> -----Original Message-----
> From: Steve Loughran [mailto:steve_l@iseran.com]
> Sent: Wednesday, June 19, 2002 12:54 PM
> To: axis-dev@xml.apache.org
> Subject: Re: beta 3 - JDK 1.3? 1.4?
> 
> 
> +1.
> 
> Axis only runs on 1.3+, correct? So the fact that java1.4 generates
> class
> files compatible with java1.2+ by default is not an issue, the way it is
> with some other projects?
> 
> ----- Original Message -----
> From: "Tom Jordahl" <tomj@macromedia.com>
> To: <axis-dev@xml.apache.org>
> Sent: Wednesday, June 19, 2002 6:59 AM
> Subject: RE: beta 3 - JDK 1.3? 1.4?
> 
> 
> > I would vote to stick with 1.3.
> >
> > --
> > Tom Jordahl
> >
> >
> > -----Original Message-----
> > From: butek@us.ibm.com [mailto:butek@us.ibm.com]
> > Sent: Wednesday, June 19, 2002 8:11 AM
> > To: axis-dev@xml.apache.org
> > Subject: beta 3 - JDK 1.3? 1.4?
> >
> >
> > Do we want to stick with JDK 1.3 for the beta? (and, more importantly,
> for
> the ultimate 1.0?) Or should we step up to JDK 1.4? Now that dims and I
> have
> fixed the 1.4 issues folks have had, I use them interchangeably.
> Sometimes I
> build in 1.3 and run in 1.4. Sometimes vice versa. I haven't seen any
> problems with it.
> >
> > Russell Butek
> > butek@us.ibm.com
> >
> 
> 


=====
Davanum Srinivas - http://xml.apache.org/~dims/

__________________________________________________
Do You Yahoo!?
Yahoo! - Official partner of 2002 FIFA World Cup
http://fifaworldcup.yahoo.com

Mime
View raw message